Bug 952121 - RFE: option to created and install to Btrfs raid10 data/metadata profiles
RFE: option to created and install to Btrfs raid10 data/metadata profiles
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
newui-container
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-04-15 04:57 EDT by Ľuboš Kardoš
Modified: 2016-07-31 21:26 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-13 10:13:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ľuboš Kardoš 2013-04-15 04:57:05 EDT
Description of problem:
There is no option for BTRFS RAID10 in anaconda GUI.

Version-Release number of selected component (if applicable):
anaconda 19.17-1
fedora 19 alpha RC2

How reproducible:
always

Steps to Reproduce:
1. Start anaconda, proceed to the "MANUAL PARTITIONING" spoke.
2. Create mountpoint.
3. Change "Device Type" from "LVM" to "BTRFS".
4. Activate "RAID Level" selectbox.
  
Actual results:
There are options: "Single (No RAID)", "RAID0 (Performance)", "RAID1 (Redundancy)" in selectbox.

Expected results:
Option "RAID10 (Redundancy, Performance)" also should be in selectbox.


Additional info:
Comment 1 Chris Murphy 2013-05-11 18:56:30 EDT
This is a regression. It was supported and worked in Fedora 18.
Comment 2 Fedora End Of Life 2013-09-17 03:45:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 David Lehman 2015-03-13 10:13:36 EDT
I think this has been available since at least F21. Feel free to reopen if not. Note that you will need a minimum of four disks to enable this.

Note You need to log in before you can comment on or make changes to this bug.